> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trending Video

> Get Trending Video



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/video
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/video:
    get:
      tags:
        - Trending
      summary: Get Trending Video
      description: Get Trending Video
      operationId: getApiTrendingVideo
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: Number of items per page (maximum is 20)
            example: 20
            maximum: 20
        - in: query
          name: period
          schema:
            type: number
            default: 30
            description: |2-

                      Period in days:
                      - 7: Last 7 days
                      - 30: Last 30 days
                      
            enum:
              - 7
              - 30
            example: 30
        - in: query
          name: order_by
          schema:
            type: string
            description: |2-

                      Order by:
                      - vv: Hot
                      - like: Like
                      - comment: Comment
                      - repost: share
                    
            enum:
              - vv
              - like
              - comment
              - repost
            default: vv
            example: vv
        - in: query
          name: country
          schema:
            type: string
            description: >-
              Country code. Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
            default: US
            example: US
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      videos:
                        type: array
                        items:
                          type: object
                          properties:
                            country_code:
                              type: string
                              description: ''
                              example: US
                            cover:
                              type: string
                              description: ''
                              example: >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068c799-us/o0ECfIeIFAM1Svaq1QCuj3AKhVIfLvIlGZQVXx~tplv-noop.image?dr=18692&refresh_token=e26c5adb&x-expires=1765888887&x-signature=W00Uqo9E7H1FQbKCnK5rEnqqUA0%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=83ba07fd&idc=my
                            duration:
                              type: number
                              description: ''
                              example: 159
                            id:
                              type: string
                              description: ''
                              example: '7572995879557139742'
                            item_id:
                              type: string
                              description: ''
                              example: '7572995879557139742'
                            item_url:
                              type: string
                              description: ''
                              example: >-
                                https://www.tiktok.com/@mnm_pipi/video/7572995879557139742
                            region:
                              type: string
                              description: ''
                              example: United States
                            title:
                              type: string
                              description: ''
                              example: >-
                                maybe the best day of my life 🥹💚🎄🐱
                                #angeltree #walmart gifting a support cat for
                                Christmas with Angel Gift Tree
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````